<template>
  <button v-if="variant !== 'text'" v-bind:class="variant" @click="onClick">{{ title }}</button>
  <a v-else class="text" @click="onClick" >{{ title }}</a>
</template>

<script>
export default {
  name: "Button",
  props: {
    title: String,
    variant: {
      type: String,
      default: "squared",
      validator: (val) => ["squared", "rounded", "text"].includes(val),
    },
    onClick: Function,
  },
};
</script>

<style scoped>
.checked {
  color: green;
}
.unchecked {
  color: red;
}
.rounded {
    border-radius: 50px;
}
</style>